import type { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import type { IDynamicControl } from '../../interfaces/dynamic-control';
import type { DynamicForm } from '../../classes/dynamic-form';
import { FormService } from '../../services/form/form.service';
import type { IActionOptions } from '../../interfaces/action-options';
import * as i0 from "@angular/core";
export declare class DynamicFormComponent implements OnInit {
    private formService;
    data: DynamicForm | null;
    formGroup: FormGroup;
    controls: IDynamicControl[];
    actions: IActionOptions;
    constructor(formService: FormService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicFormComponent, "ngx-dynamic-form", never, { "data": "data"; }, {}, never, never>;
}
