import { ComponentRef, ComponentFactoryResolver, ViewContainerRef } from '@angular/core';
import { ControlType } from '../../enums/control-type';
import { TemplateService } from '../../services/template/template.service';
import * as i0 from "@angular/core";
export declare class FormControlDirective {
    private resolver;
    private container;
    private templateService;
    protected componentRef: ComponentRef<unknown> | null;
    formControlType: ControlType | undefined | null | string;
    constructor(resolver: ComponentFactoryResolver, container: ViewContainerRef, templateService: TemplateService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormControlDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormControlDirective, "[ngxFormControl]", never, { "formControlType": "formControlType"; }, {}, never>;
}
